PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_cgetri_Tile | ( | PLASMA_desc * | A,
|  | int * | IPIV
| ) |  |

PLASMA_cgetri_Tile - Computes the inverse of a matrix using the LU factorization computed by PLASMA_cgetrf. This method inverts U and then computes inv(A) by solving the system inv(A)*L = inv(U) for inv(A). Tile equivalent of PLASMA_cgetri(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in,out] | A | On entry, the triangular factor L or U from the factorization A = P*L*U as computed by PLASMA_cgetrf. On exit, if return value = 0, the inverse of the original matrix A.
  [in] | IPIV | The pivot indices that define the permutations as returned by PLASMA_cgetrf.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  >0 | if i, the (i,i) element of the factor U is exactly zero; The matrix is singular and its inverse could not be computed.

See also
  PLASMA_cgetri
  PLASMA_cgetri_Tile_Async
  PLASMA_cgetri_Tile
  PLASMA_dgetri_Tile
  PLASMA_sgetri_Tile
  PLASMA_cgetrf_Tile